<?php
    
class attr_datetime_modify extends attr {
    function getDBType() {
    	return "int(12)";
    }
    
    function render_input() {
		return '';
    }
    
    function lPost() {
       	$this->obj->set($this->attr_name, time());
    }

    function presave() {
     //  	$this->obj->set($this->attr_name, time());
    }

    function render_text( $crop = false ) {
    	return date('d.m.Y H:i:s',$this->getCurVal());
    }
}

?>